
TYPO3.Flow - Bug # 30493

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Command
Created: 2011-10-01 Assigned To: Christian Müller
Updated: 2011-11-10 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: CLI argument handling chokes on = use
Description

When a value for an argument is given like --name=value the result is an uncaught exception #1297759968.

Related issues:
related to TYPO3.Neos - Bug # 30267: site:import task broken Closed 2011-09-25

Associated revisions
Revision 578b580d - 2011-11-10 11:22 - Christian Müller

[BUGFIX] (CLI): CLI arguments should be usable with equals sign (=)

With this fix the last argument may use the equals sign (=)
again to separate between argument name and value.

Besides writing an additional test case which reproduces the issue,
the other test cases have been strengthened by replacing assertEquals()
by assertSame().

Change-Id: I15c7ca0ba50fc612b7328573ebce9f748c46fb2f
Resolves: #30493
Release: 1.0, 1.1

Revision 2b137a04 - 2011-11-12 21:00 - Christian Müller

[BUGFIX] CLI arguments should be usable with equals sign (=)

With this fix the last argument may use the equals sign (=)
again to separate between argument name and value.

Besides writing an additional test case which reproduces the issue,
the other test cases have been strengthened by replacing assertEquals()
by assertSame().

Change-Id: Iacfeef7487bf59852fcc992f4d1d6fc9ff96c07d
Fixes: #30493
Release: 1.0, 1.1

History
#1 - 2011-10-11 16:10 - Christian Müller
- Assigned To set to Christian Müller

#2 - 2011-10-11 16:23 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I15c7ca0ba50fc612b7328573ebce9f748c46fb2f has been pushed to the review server.
It is available at http://review.typo3.org/5724

#3 - 2011-10-11 16:24 - Mr. Hudson

Patch set 2 of change I15c7ca0ba50fc612b7328573ebce9f748c46fb2f has been pushed to the review server.
It is available at http://review.typo3.org/5724

#4 - 2011-10-19 10:03 - Karsten Dambekalns
- Target version deleted (1230)

#5 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#6 - 2011-11-10 11:22 - Mr. Hudson

Patch set 3 of change I15c7ca0ba50fc612b7328573ebce9f748c46fb2f has been pushed to the review server.
It is available at http://review.typo3.org/5724

#7 - 2011-11-10 11:36 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:578b580da127c3a907cd3dbc81e1e7b2063e2ce4.
